Subject: bug#7273: 24.0.50; finally found what has been subtly corrupting my files over the years: C-. flyspell-auto-correct-word

From: [email-masked]
Date: Mon, 25 Oct 2010 02:06:05 +0800

>>>>> "CY" == Chong Yidong <[email-masked]> writes:

CY> Hmm, I can't reproduce this.  From the top of the file, C-. moves cursor
CY> to "99" on the first line.  Is this dictionary specific?

$ find jidanni.org/comp/configuration/|xargs grep dict
jidanni.org/comp/configuration/.emacs:;(setq ispell-dictionary "american")
jidanni.org/comp/configuration/.emacs:(setq ispell-local-dictionary "american"); #bug 6143

Anyway, my stuff is all in http://jidanni.org/comp/configuration/

>> P.S., what is the best way to disable C-.? global-(un)set-key?

CY> should do the trick, once Flyspell is loaded.

You will have to tell me what to put into .emacs.
(setq
 flyspell-mode-hook
 '(define-key flyspell-mode-map [(control ?\.)] nil)
)
of course gives an error because I don't know what I am doing.